# -*- encoding: utf-8 -*-
# stub: jekyll-related-posts 0.1.2 ruby lib

Gem::Specification.new do |s|
  s.name = "jekyll-related-posts".freeze
  s.version = "0.1.2"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Amadeusz Juskowiak".freeze]
  s.date = "2016-10-23"
  s.description = "Proper related posts plugin for Jekyll - uses document correlation matrix on TF-IDF (optionally with Latent Semantic Indexing).\n\nEach document is tokenized and stemmed, every word found is treated as keyword for analysis (except for some stop words).\n\nTF-IDF matrix for the whole site is calculated (including extra provided weights), then if given accuraccy is lower than 1.0, LSI algorithm is used to compute new simplified vector space. Document correlation matrix is created using dot product of the matrix and its transpose.\n\nFor each of the post' related documents are inserted into priority queue (sorted by score from document correlation matrix), assuming the score is greater than minimal required score. Selected few bests related posts are retrieven from the queue.\n\nLiquid template for each post is rendered and <related-posts /> is replaced with the outcomes of algorithm.".freeze
  s.email = ["juskowiak@amadeusz.me".freeze]
  s.homepage = "https://github.com/alfanick/jekyll-related-posts".freeze
  s.licenses = ["MIT".freeze]
  s.rubygems_version = "3.2.22".freeze
  s.summary = "Proper related posts plugin for Jekyll - uses document correlation matrix on TF-IDF (optionally with Latent Semantic Indexing).".freeze

  s.installed_by_version = "3.2.22" if s.respond_to? :installed_by_version

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_development_dependency(%q<bundler>.freeze, ["~> 1.6"])
    s.add_runtime_dependency(%q<jekyll>.freeze, ["~> 3.0"])
    s.add_runtime_dependency(%q<liquid>.freeze, ["~> 3.0"])
    s.add_runtime_dependency(%q<tokenizer>.freeze, ["~> 0.3"])
    s.add_runtime_dependency(%q<stopwords-filter>.freeze, ["~> 0.3"])
    s.add_runtime_dependency(%q<fast-stemmer>.freeze, ["~> 1.0"])
    s.add_runtime_dependency(%q<pqueue>.freeze, ["~> 2.1"])
    s.add_runtime_dependency(%q<nmatrix>.freeze, ["~> 0.2"])
    s.add_runtime_dependency(%q<nmatrix-lapacke>.freeze, ["~> 0.2"])
  else
    s.add_dependency(%q<bundler>.freeze, ["~> 1.6"])
    s.add_dependency(%q<jekyll>.freeze, ["~> 3.0"])
    s.add_dependency(%q<liquid>.freeze, ["~> 3.0"])
    s.add_dependency(%q<tokenizer>.freeze, ["~> 0.3"])
    s.add_dependency(%q<stopwords-filter>.freeze, ["~> 0.3"])
    s.add_dependency(%q<fast-stemmer>.freeze, ["~> 1.0"])
    s.add_dependency(%q<pqueue>.freeze, ["~> 2.1"])
    s.add_dependency(%q<nmatrix>.freeze, ["~> 0.2"])
    s.add_dependency(%q<nmatrix-lapacke>.freeze, ["~> 0.2"])
  end
end
